Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.util
Interface Streamable

All Known Subinterfaces:
  ASN1Constructed, ASN1Object, ASN1TaggedObject, PrivateKey, PublicKey

All Known Implementing Classes:
  AlgorithmIdentifier, ASN1BitString, ASN1Boolean, ASN1Date, ASN1GenericConstructed, ASN1GenericPrimitive, ASN1Header, ASN1Integer, ASN1Null, ASN1ObjectID, ASN1OctetString, ASN1Sequence, ASN1Set, ASN1String, DHKey, DHParams, DHPrivateKey, DHPublicKey, DigestInfo, DSAParams, DSAPrivateKey, DSAPublicKey, PKCS5, PrivateKeyPKCS8, RSAKey, RSAPrivateKey, RSAPrivateKeyPKCS8, RSAPublicKey

public interface Streamable

An interface for an object that can be input and output from/to a stream.

Method Summary
`void` | `input(java.io.InputStream is)` Inputs this object from the specified input stream.
`int` | `length()` Length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Outputs this object to the specified output stream.

Method Detail

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Outputs this object to the specified output stream.
  Throws:
    `java.io.IOException`

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Inputs this object from the specified input stream.
  Throws:
    `java.io.IOException`

### length

    public int length()

  Length of this object's encoding.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.